# Laser Game by Palu-IoT, Inc  

Ce Laser Game est un l'un des premiers basé sur le principe de l'IoT.
Il est basé sur l'idée de libre customisation des armes d'une partie, mais a un faible coup grâce à l'utilisation d'ESP8266 comme base.
Ainsi, les composants internes peuvent varier pour permettre l'utilisation d'un meilleur laser ou d'une photorésistance de moins bonne qualité ...
Mais aussi un choix beaucoup plus varier grâce à l'impression 3D des boîtiers.

Le système utilise des WebSockets pour communiqué entre les participants et le serveur.

## Installation 

### Le Serveur et le Client

### L'ESP8266

#### Software

Pour installer l'ESP8266, il faut d'abord rendre l'IDE Arduino capable de compilé pour l'ESP.
Pour cela, je vous conseille ce petit tuto pour installer les bonnes dépendances :
[http://blog.idleman.fr/programmer-un-esp8266-avec-arduino-ide-editor/](http://blog.idleman.fr/programmer-un-esp8266-avec-arduino-ide-editor/)

Une fois fait, il va falloir télécharger la bibliothèque de WebSocket pour permettre la communication.
Pour utiliser cette bibliothèque, ouvrez le gestionnaire de bibliothèque dans l'IDE Arduino et installez-le à partir de là.
Cherchez dans la barre de recherche ``WebSockets`` et installer celui de ``Markus Sattler``.

Une fois fait, vous êtes presque prés à téléverser le code présent dans le dossier LaserGameV2 récupérable dans le dossier Arduino.
Avance cela n'oublier pas de mettre le nom du wifi et le mot de passe dans le fichier [arduino_secrets.h](Arduino/LaserGameV2/arduino_secrets.h) dans le dossier LaserGameV2.

Maintenant, on peut téléverser le code du fichier [LaserGameV2](Arduino/LaserGameV2/LaserGameV2.ino) sur l'ESP. Pour vérifier que toute fonction n'hésité pas ouvrir le Moniteur de série sur la fréquence ``115200``.

#### Hardware

Pour notre petit plat du jour, il va vous falloir : 
- un Bouton
- une Photoresistance
- un Laser
- une LED (Couleur et format au choix)
- deux Resistance de 100 Ohms
- un ESP8266 (Conseiller le [NodeMCU Lolin v3](https://www.amazon.fr/AZ-Delivery-NodeMCU-ESP8266-d%C3%A9veloppement-development/dp/B074Q27ZBQ))
- Et beaucoups de cables !

Maintenant, que l'on a toutes nos pièces, il va falloir les assembler. Il y a 4 parties : 
- Le bouton ou la trigger du pistolet
- La Photoresistance qui fera office de capteur
- Le Laser
- La LED d'affichage

![Disposition des composants](Disposition%20des%20composant%202.png)

Et pour le montage voici un petit schéma de comment faire ! 

![Disposition des composants](Disposition%20des%20composant%201.png)

Après, en fonction de vos composants, vous pouvez imprimer des boîtiers personnalisé

Nous rejetons toute responsabilité liée à l'utilisation de matériel défectueux, en cas de triche ou de tentative de corruption.